#include "stdafx.h"
#include "PeriodicProc.h"


CPeriodicProc::CPeriodicProc() {};


CPeriodicProc::~CPeriodicProc() {};


void CPeriodicProc::init()
{
	fFDD_Mod = 0.0;
	fFDDTicks = 0.0;
}

void CPeriodicProc::clear()
{
	fFDDTicks = 0.0;
}

void CPeriodicProc::uninit()
{}

void CPeriodicProc::clock(CFDDStd326 *pFDD)
{
	if (--fFDDTicks <= 0.0)
	{
		do
		{
			pFDD->Periodic();    // Вращаем диск на одно слово на дорожке
			fFDDTicks += fFDD_Mod;
		}
		while (fFDDTicks < 1.0);
	}
}
